# getRandomPartyMemberFunc | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getRandomPartyMemberFunc

- getRandomPartyMemberFunc(
  speciesPool: Species [],
  trainerSlot?: TrainerSlot ,
  ignoreEvolution?: boolean,
  postProcess?: (enemyPokemon: EnemyPokemon ) => void,
  ): (level: number, strength: PartyMemberStrength ) => EnemyPokemon

  Randomly selects one of the `Species` from `speciesPool`, determines its evolution, level, and strength. Then adds Pokemon to globalScene.

  #### Parameters

  - speciesPool: Species []
  - trainerSlot: TrainerSlot = TrainerSlot.TRAINER
  - ignoreEvolution: boolean = false
  - `Optional` postProcess: (enemyPokemon: EnemyPokemon ) => void

  #### Returns (level: number, strength: PartyMemberStrength ) => EnemyPokemon

  - Defined in src/data/trainers/trainer-config.ts:1002